<?php

namespace App\Http\Requests\Inventory;

use App\Http\Requests\ApiFormRequest;

class InventoryAuditRequest extends ApiFormRequest
{
    public function authorize(): bool
    {
        return auth()->check();
    }

    public function rules(): array
    {
        return [
            'needs_repair_qty' => ['nullable', 'integer', 'min:0'],
            'need_replace_qty' => ['nullable', 'integer', 'min:0'],
            'cannot_find_qty' => ['nullable', 'integer', 'min:0'],
        ];
    }
}
